Debian Bug report logs - #504562
python-moinmoin: Wrong translation in es.py affects the aesthetics.

version graph

Package: python-moinmoin; Maintainer for python-moinmoin is Steve McIntyre <93sam@debian.org>; Source for python-moinmoin is src:moin.

Reported by: Luis Saavedra <luis94855510@gmail.com>

Date: Wed, 5 Nov 2008 04:36:01 UTC

Severity: important

Tags: patch

Merged with 511355

Found in version moin/1.5.3-1.2etch1

Fixed in versions moin/1.7.1-3+lenny1, moin/1.7.1-3+lenny2, moin/1.8.3-2

Done: Frank Lin PIAT <fpiat@klabs.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#504562; Package python-moinmoin. (Wed, 05 Nov 2008 04:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Saavedra <luis94855510@gmail.com>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Wed, 05 Nov 2008 04:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luis Saavedra <luis94855510@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-moinmoin: Wrong translation in es.py affects the aesthetics.
Date: Wed, 5 Nov 2008 01:33:28 -0300
Package: python-moinmoin
Version: 1.5.3-1.2etch1
Severity: normal

To reproduce this bug the moinmoin user must select spanish as predetermined language.

Example 1:

Using the macro [[TableOfContents(2)]] the table of contents appears showing the following tags:

<a href="/AyudaDeContenidos">AyudaDeContenidos</a>

Example 2:

If the wikiadmin edits the file wikiconfig.py, adding:

    navi_bar = [
        # If you want to show your page_front_page here:
        u'%(page_front_page)s',
        #u'RecentChanges',
        #u'FindPage',
        u'HelpContents', # <<<<<<<<<<<<<<<<< adding this to the navi bar
    ]

then in the <navi bar> will appear "HelpContents" when "AyudaDeContenidos" should appear.

best regards, Luis.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=es_CL.UTF-8, LC_CTYPE=es_CL.UTF-8 (charmap=UTF-8)

Versions of packages python-moinmoin depends on:
ii  moinmoin-common           1.5.3-1.2etch1 Python clone of WikiWiki - common 
ii  python                    2.4.4-2        An interactive high-level object-o
ii  python-support            0.5.6          automated rebuilding support for p

Versions of packages python-moinmoin recommends:
ii  exim4                         4.63-17    metapackage to ease exim MTA (v4) 
ii  exim4-daemon-light [mail-tran 4.63-17    lightweight exim MTA (v4) daemon

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#504562; Package python-moinmoin. (Wed, 05 Nov 2008 05:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Saavedra <luis94855510@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Wed, 05 Nov 2008 05:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 504562@bugs.debian.org (full text, mbox):

From: Luis Saavedra <luis94855510@gmail.com>
To: Debian Bug Tracking System <504562@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: Bug#504562: python-moinmoin: Wrong translation in es.py affects the aesthetics.
Date: Wed, 5 Nov 2008 02:13:08 -0300
Thanks

The following patch fixes Bug#504562

diff -up moin-1.5.3/MoinMoin/i18n/es.py moin-1.5.3.new/MoinMoin/i18n/es.py
--- moin-1.5.3/MoinMoin/i18n/es.py 2006-04-15 17:33:12.000000000 -0400
+++ moin-1.5.3.new/MoinMoin/i18n/es.py      2008-11-05 00:26:39.000000000 -0300
@@ -924,7 +924,7 @@ De lo contrario; si el campo "Cambiar no
 '''SiteNavigation''':
 '''NavegaciónDelSitio''',
 '''HelpContents''':
-'''ContenidosDeAyuda''',
+'''AyudaDeContenidos''',
 '''HelpOnFormatting''':
 '''AyudaSobreFormato''',
 '''UserPreferences''':
@@ -1000,7 +1000,7 @@ De lo contrario; si el campo "Cambiar no
 '''[Bookmark reached]''':
 '''[enlace personal alcanzado]''',
 '''Contents''':
-'''AyudaDeContenidos''',
+'''Contenidos''',
 '''No wanted pages in this wiki.''':
 '''No existen páginas-por-crear en este wiki.''',
 '''Invalid include arguments "%s"!''':




Merged 504562 511355. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 10 Jan 2009 17:42:09 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 10 Jan 2009 17:42:10 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 10 Jan 2009 17:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#504562; Package python-moinmoin. (Mon, 12 Jan 2009 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 12 Jan 2009 21:57:04 GMT) Full text and rfc822 format available.

Message #21 received at 504562@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: debian-release@lists.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, 504562@bugs.debian.org, 511416@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Mon, 12 Jan 2009 22:55:43 +0100
[Message part 1 (text/plain, inline)]
Hello,

I have a attached patch that address two serious usability issues in
moinmoin wiki (which happens to run on wiki.d.o ... where we had
complaints from users).

The changes are explained in the mail I sent to the maintainer:

On Sun, 2009-01-11 at 04:45 +0100, Jonas Smedegaard wrote:
> On Sat, Jan 10, 2009 at 06:54:54PM +0100, Frank Lin PIAT wrote:
> >First of all, I would like to wish you a happy new year.
> 
> >I am wondering about a stable-proposed-update for Etch's moinmoin.
> >There are two bugs that seriously affects the usability. The patchs
> >are non-intrusive:
> >
> >* #511416: Fix the forgotten password email login URL.
> >  End-user that request a copy of their password will be sent an email
> >  with a hash of their password. However, the URL points to the
> >  account create page, instead of the login page.
> >
> >* #504562: the title "Table of contents" is broken for all Spanish
> >  speaking user. It also fixes the link to the help pages
> >  (HelpContents), so it actually points to the Spanish version.
> >
> >I would finalize the patches if a s-p-u upload is ok for you.
> 
> IT seems to me that even though both those issues are highly annoying 
> they are not security-related.

Would this change be accepted, if we were to upload a new package 
to stable-proposed-updates ?

Thanks in advance,

Franklin
[moin_1.5.3-1.2etch2.patch (application/mbox, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#504562; Package python-moinmoin. (Tue, 13 Jan 2009 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 13 Jan 2009 18:27:06 GMT) Full text and rfc822 format available.

Message #26 received at 504562@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Frank Lin PIAT <fpiat@klabs.be>
Cc: debian-release@lists.debian.org, Jonas Smedegaard <dr@jones.dk>, 504562@bugs.debian.org, 511416@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Tue, 13 Jan 2009 19:25:14 +0100
* Frank Lin PIAT [Mon, 12 Jan 2009 22:55:43 +0100]:

> Hello,

Hello, thanks for pursuing this.

> > >* #511416: Fix the forgotten password email login URL.
> > >  End-user that request a copy of their password will be sent an email
> > >  with a hash of their password. However, the URL points to the
> > >  account create page, instead of the login page.

This fix and its associated diff is okay, particularly since it comes
from upstream.

> > >* #504562: the title "Table of contents" is broken for all Spanish
> > >  speaking user. It also fixes the link to the help pages
> > >  (HelpContents), so it actually points to the Spanish version.

Regarding this diff for this fix:

> @@ -1000,7 +1000,7 @@
>  '''[Bookmark reached]''':
>  '''[enlace personal alcanzado]''',
>  '''Contents''':
> -'''AyudaDeContenidos''',
> +'''Contenidos''',
>  '''No wanted pages in this wiki.''':
>  '''No existen páginas-por-crear en este wiki.''',
>  '''Invalid include arguments "%s"!''':

That hunk is (AFAICS) clear: the translation for "Contents" should be
"Contenidos" and not "AyudaDeContenidos".

> @@ -924,7 +924,7 @@
>  '''SiteNavigation''':
>  '''NavegaciónDelSitio''',
>  '''HelpContents''':
> -'''ContenidosDeAyuda''',
> +'''AyudaDeContenidos''',
>  '''HelpOnFormatting''':
>  '''AyudaSobreFormato''',
>  '''UserPreferences''':

This hunk, OTOH, I don't understand. "ContenidosDeAyuda" is a better
translation for "HelpContents" than "AyudaDeContenidos". Can you
ellaborate on this fix?

> Would this change be accepted, if we were to upload a new package 
> to stable-proposed-updates ?

Yes, once we clear up the issue above. Just coordinate with the
maintainer as to who should make the upload.

---

On Sun, 2009-01-11 at 04:45 +0100, Jonas Smedegaard wrote:

> IT seems to me that even though both those issues are highly annoying 
> they are not security-related.

We not only fix security bugs through stable updates. :-)

---

Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
Mankind are very odd creatures: one half censure what they practice, the
other half practice what they censure; the rest always say and do as
they ought.
                -- Michel de Montaigne





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#504562; Package python-moinmoin. (Tue, 13 Jan 2009 19:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. (Tue, 13 Jan 2009 19:39:02 GMT) Full text and rfc822 format available.

Message #31 received at 504562@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Frank Lin PIAT <fpiat@klabs.be>, debian-release@lists.debian.org, 504562@bugs.debian.org, 511416@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Tue, 13 Jan 2009 20:38:07 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, Jan 13, 2009 at 07:25:14PM +0100, Adeodato Simó wrote:
>* Frank Lin PIAT [Mon, 12 Jan 2009 22:55:43 +0100]:
>> > >* #511416: Fix the forgotten password email login URL.
>> > >  End-user that request a copy of their password will be sent an 
>> > >  email with a hash of their password. However, the URL points to 
>> > >  the account create page, instead of the login page.
>
>This fix and its associated diff is okay, particularly since it comes 
>from upstream.

Great!


>> Would this change be accepted, if we were to upload a new package 
>> to stable-proposed-updates ?
>
>Yes, once we clear up the issue above. Just coordinate with the
>maintainer as to who should make the upload.

We are already in tune, and will handle that.

(Frank Lin really is co-maintainer and should be added as uploader!)


  - Jonas

(co-)maintainer of MoinMoin for Debian.

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkls7Z4ACgkQn7DbMsAkQLhEbACfRvKO/5XildwtZ6SfnWV/gETe
bk8An2EGG+CGoJLYb8FEmHmBr8rLtEly
=0gSw
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#504562; Package python-moinmoin. (Tue, 13 Jan 2009 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 13 Jan 2009 20:06:03 GMT) Full text and rfc822 format available.

Message #36 received at 504562@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: debian-release@lists.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, 504562@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Tue, 13 Jan 2009 21:04:35 +0100
[Not CC'ing 511416@bugs.debian.org here, since it seems ok]

On Tue, 2009-01-13 at 19:25 +0100, Adeodato Simó wrote:
> * Frank Lin PIAT [Mon, 12 Jan 2009 22:55:43 +0100]:

> > > >* #504562: the title "Table of contents" is broken for all Spanish
> > > >  speaking user. It also fixes the link to the help pages
> > > >  (HelpContents), so it actually points to the Spanish version.
> 
> Regarding this diff for this fix:
> 
> >  '''Contents''':
> > -'''AyudaDeContenidos''',
> > +'''Contenidos''',
> 
> That hunk is (AFAICS) clear: the translation for "Contents" should be
> "Contenidos" and not "AyudaDeContenidos".

ack.

> > @@ -924,7 +924,7 @@
> >  '''HelpContents''':
> > -'''ContenidosDeAyuda''',
> > +'''AyudaDeContenidos''',
> 
> This hunk, OTOH, I don't understand. "ContenidosDeAyuda" is a better
> translation for "HelpContents" than "AyudaDeContenidos". Can you
> ellaborate on this fix?

The problem here it's that "HelpContents" is the name of the main help
wikipage. The translation of that string should match the name of the
spanish wiki page, which is "AyudaDeContenidos" (if the translated name
doesn't match an existing wiki page, then the link isn't translated at
all, rather than making a broken link).

We could drop the second half of the second patch, because it isn't that
import. Also, the translation is incomplete:
  http://www.klabs.be/debian-wiki-test/AyudaDeContenidos
But I assumed that it was better to have incomplete translation, rather
than full English (which is still available).

Regards,

Franklin





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#504562; Package python-moinmoin. (Wed, 14 Jan 2009 21:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Wed, 14 Jan 2009 21:54:02 GMT) Full text and rfc822 format available.

Message #41 received at 504562@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Frank Lin PIAT <fpiat@klabs.be>
Cc: debian-release@lists.debian.org, Jonas Smedegaard <dr@jones.dk>, 504562@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Wed, 14 Jan 2009 22:53:12 +0100
* Frank Lin PIAT [Tue, 13 Jan 2009 21:04:35 +0100]:

> > > @@ -924,7 +924,7 @@
> > >  '''HelpContents''':
> > > -'''ContenidosDeAyuda''',
> > > +'''AyudaDeContenidos''',

> > This hunk, OTOH, I don't understand. "ContenidosDeAyuda" is a better
> > translation for "HelpContents" than "AyudaDeContenidos". Can you
> > ellaborate on this fix?

> The problem here it's that "HelpContents" is the name of the main help
> wikipage. The translation of that string should match the name of the
> spanish wiki page, which is "AyudaDeContenidos" (if the translated name
> doesn't match an existing wiki page, then the link isn't translated at
> all, rather than making a broken link).

Aaah. Thanks for the detailed explanation. Then, the hunk is of course
acceptable: the choice between a even-halfway translated,
incorrectly-named page, and an untranslated page, is clear. :-) And
hopefully upstream will change the page name in a future release.

Please upload all bits of the diff you proposed, and thanks for your
work.

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                           Listening to: Rosa León - Con un poco de amor





Bug marked as fixed in version 1.7.1-3+lenny1. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 10:51:08 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.7.1-3+lenny2. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 10:51:09 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.8.3-2. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 10:51:11 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.7.1-3+lenny1. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 10:51:11 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.7.1-3+lenny2. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 10:51:13 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.8.3-2. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 10:51:14 GMT) Full text and rfc822 format available.

Reply sent to Frank Lin PIAT <fpiat@klabs.be>:
You have taken responsibility. (Thu, 11 Feb 2010 21:18:07 GMT) Full text and rfc822 format available.

Notification sent to Luis Saavedra <luis94855510@gmail.com>:
Bug acknowledged by developer. (Thu, 11 Feb 2010 21:18:07 GMT) Full text and rfc822 format available.

Message #58 received at 504562-done@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: 504562-done@bugs.debian.org
Subject: Fixed in Lenny
Date: Thu, 11 Feb 2010 22:16:21 +0100
Hello,

I am closing this bug because it applies to version 1.5.3-1.2etch1, from
DebianEtch which isn't supported anymore after February 15th.

Franklin





Reply sent to Frank Lin PIAT <fpiat@klabs.be>:
You have taken responsibility. (Thu, 11 Feb 2010 21:18:08 GMT) Full text and rfc822 format available.

Notification sent to todoesverso <todoesverso@gmail.com>:
Bug acknowledged by developer. (Thu, 11 Feb 2010 21:18:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Mar 2010 07:36:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:31:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.